org.apache.tools.ant.types

## Class Permissions.Permission

- java.lang.Object
- - org.apache.tools.ant.types.Permissions.Permission

- Enclosing class:
    Permissions

      public static class Permissions.Permission
      extends java.lang.Object

  Represents a permission.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Permissions.Permission()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getActions()` Get the actions.
    `java.lang.String` | `getClassName()` Get the class of the permission.
    `java.lang.String` | `getName()` Get the name of the permission.
    `void` | `setActions(java.lang.String actions)` Set the actions.
    `void` | `setClass(java.lang.String aClass)` Set the class, mandatory.
    `void` | `setName(java.lang.String aName)` Set the name of the permission.
    `java.lang.String` | `toString()` Get a string description of the permissions.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Permissions.Permission

          public Permissions.Permission()

  - ### Method Detail

    - #### setClass

          public void setClass(java.lang.String aClass)

      Set the class, mandatory.
      Parameters:
        `aClass` - The class name of the permission.

    - #### getClassName

          public java.lang.String getClassName()

      Get the class of the permission.
      Returns:
        The class name of the permission.

    - #### setName

          public void setName(java.lang.String aName)

      Set the name of the permission.
      Parameters:
        `aName` - The name of the permission.

    - #### getName

          public java.lang.String getName()

      Get the name of the permission.
      Returns:
        The name of the permission.

    - #### setActions

          public void setActions(java.lang.String actions)

      Set the actions.
      Parameters:
        `actions` - The actions of the permission.

    - #### getActions

          public java.lang.String getActions()

      Get the actions.
      Returns:
        The actions of the permission.

    - #### toString

          public java.lang.String toString()

      Get a string description of the permissions.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        string description of the permissions.